
QGIS Application - Feature request #7462

Add PostGIS Layers dialog stops processing as soon as a user confirms a selection

2013-03-27 07:20 PM - Aren Cambre

Status: Open

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 16417

Description

Currently, the PostGIS Layers dialog can take a long time to be ready to use if it has to process a lot of tables or views without clearly

defined geometry types. The Add button is disabled until all such tables/views are processed.

Really, there's no reason to force users to wait for this dialog to process every last table/view. If the tables/views the user needs already

have detected geometry types, then the user should be able to select them and click Add even if other tables/views are being processed.

And if the user happened to Add a table/view that still doesn't have the geometry type discovered, the dialog should abort detection on all

other tables/views and just process the selected ones that still need discovery.

Proposal: Add is enabled/clickable as soon as at least one table/view has a detected type, and if I double-click on a table/view or select 

Add after selecting 1 or more tables/views, then the detecting stops (except for selected tables/views with undetected geometry types),

and the selected tables are added as layers.

Please note: This is not a support request. I am aware of the stop button. This issue is pointing out unnecessary delays that could be

eliminated by improving the UI. It should not be necessary to hit the stop button for a user to select PostGIS layers whose geometry types

are already known.

History

#1 - 2014-06-29 06:51 AM - Jürgen Fischer

- Category changed from GUI to Data Provider/PostGIS

#2 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

2024-03-13 1/1


